Draft Downgrade/es: Difference between revisions

From FreeCAD Documentation
(Languages spanish)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Downgrade|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis -> Degradar|Shortcut=D N|Ver también=[[Draft Upgrade/es|Promocionar]]}}
{{GuiCommand|Name=Draft_Downgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Downgrade|Shortcut=D N|SeeAlso=[[Draft Upgrade]]}}


==Descripción==
==Description==


This tool downgrades selected objects in different ways. If no object is selected, you will be invited to select one.
Esta herramienta degrada (convirtiendo entidades complejas en otras más simples) los objetos seleccionado de diversos modos. Si no se ha seleccionado ningún objeto, te invitará a seleccionar uno.


[[Image:Draft_Downgrade_example.jpg|400px]]
[[Image:Draft_Downgrade_example.jpg|400px]]


==Utilización==
==How to use==


# Select one or more objects you widh to downgrade
# Selecciona uno o más objetos que desees degradar
# Presiona el botón {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade/es|Degradar]]}} o presiona las teclas {{KEY|D}} y {{KEY|N}}
# Press the {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} button or press {{KEY|D}} then {{KEY|N}} keys


==Opciones==
==Options==


The selected objects are modified/downgraded, according to the following conditions (in order):
Los objetos seleccionados son modificados/degradados, de acuerdo con las siguientes condiciones lista (en orden):
* if only one object is selected and it contains more than one face, each face becomes a separate object
* Si sólo está seleccionado un objeto y contiene más de una cara, cada cara se convierte en un objeto independiente
* if there are more than one face in the selection, the subsequent objects are subtracted from the first one
* Si hay más de una cara en la selección, las caras resultantes se eliminan de la primera
* if there is only one face in the selection, it gets converted into a wire
* si sólo hay una cara, se convierte en un contorno (wire)
* otherwise all wires found in the selection are exploded into single edges
* en otro caso todos los contornos se descomponen en segmentos individuales


==Example==
==Archivos de guión==


<gallery widths="300" heights="200">
La herramienta de degradado no puede ejecutarse directamente en un archivo de guión, pero es sencillo reproducir sus diferentes operaciones. Mira la página [[Part Cut/es|Cortar]].
File:Draft Downgrade 01.png|Complete shape
File:Draft Downgrade 02.png|Downgraded shape, with disconnected and split faces
</gallery>


==Scripting==
{{languages/es | {{en|Draft Downgrade}} {{fr|Draft Downgrade/fr}} {{it|Draft Downgrade/it}} {{se|Draft Downgrade/se}} }}

The Downgrade tool can be used in python scripts and [[macros]] by using the following function:

<syntaxhighlight>
downgrade (objects [delete], [force])
</syntaxhighlight>

* Downgrades the given object(s) (can be an object or a list of objects).
* If delete is True, old objects are deleted.
* The force attribute can be used to force a certain way of downgrading. It can be: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
* Returns a dictionnary containing two lists, a list of new objects and a list of objects to be deleted

Example:

<syntaxhighlight>
import FreeCADGui,Draft
selection = FreeCADGui.Selection.getSelection()
Draft.downgrade(selection)
</syntaxhighlight>

<languages/>

Revision as of 17:20, 13 February 2014

Draft_Downgrade

Menu location
Draft -> Downgrade
Workbenches
Draft, Arch
Default shortcut
D N
Introduced in version
-
See also
Draft Upgrade

Description

This tool downgrades selected objects in different ways. If no object is selected, you will be invited to select one.

How to use

  1. Select one or more objects you widh to downgrade
  2. Press the Draft Downgrade button or press D then N keys

Options

The selected objects are modified/downgraded, according to the following conditions (in order):

  • if only one object is selected and it contains more than one face, each face becomes a separate object
  • if there are more than one face in the selection, the subsequent objects are subtracted from the first one
  • if there is only one face in the selection, it gets converted into a wire
  • otherwise all wires found in the selection are exploded into single edges

Example

Scripting

The Downgrade tool can be used in python scripts and macros by using the following function:

 downgrade (objects [delete], [force])
  • Downgrades the given object(s) (can be an object or a list of objects).
  • If delete is True, old objects are deleted.
  • The force attribute can be used to force a certain way of downgrading. It can be: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
  • Returns a dictionnary containing two lists, a list of new objects and a list of objects to be deleted

Example:

 import FreeCADGui,Draft
 selection = FreeCADGui.Selection.getSelection()
 Draft.downgrade(selection)